package de.davidochmann.framework.dosite.data.register 
{	
	/**
	 * @author MR.WUT4
	 */

	import de.davidochmann.framework.dosite.interfaces.IContent;	
	 
	public class ContentRegister 
	{
		private static var mInstance:ContentRegister;
		private var mList:Array;


		public function ContentRegister(pSingeltonEnforcer:SingeltonEnforcer){}
		
		public static function getInstance():ContentRegister
		{
			if(! mInstance)
				mInstance = new ContentRegister(new SingeltonEnforcer());
				
			return mInstance;			
		}

		
		public function initialize():void
		{
			initList();	
		}

		
		public function list():Array
		{
			return mList;
		}

		public function add(pContent:IContent, pId:String):void
		{
			var object:Object = new Object();
			object = {id:pId, obj:pContent};
			mList.push(object);			
		}

		public function item(pId:String):IContent
		{
			var object:Object;
			var content:IContent;
			
			for(var i:uint = 0; i < mList.length; ++i)
			{
				object = mList[i];
				
				if(object.id == pId)
				{
					content = object.obj;
					break;	
				} 		
			}
			
			return content;
		}
		
		public function items(pId:String):Array
		{
			var object:Object;
			var list:Array = new Array();
			
			for(var i:uint = 0; i < mList.length; ++i)
			{
				object = mList[i];
				
				if(object.id == pId)
					list.push(object.obj);
			}
			
			return list;
		}
		
		
		private function initList():void
		{
			mList = new Array();
		}
	}
}

class SingeltonEnforcer{}