package de.davidochmann.framework.dosite.data.register
{	
	/**
	 * @author MR.WUT4
	 */

	import flash.display.DisplayObject;	

	public class ImageRegister 
	{
		private static var mInstance:ImageRegister;
		private var mList:Array;
		
		
		public function ImageRegister(pSingeltonEnforcer:SingeltonEnforcer){}
		
		public static function getInstance():ImageRegister
		{
			if(! mInstance)
				mInstance = new ImageRegister(new SingeltonEnforcer());
				
			return mInstance;	
		}
		
		
		public function initialize():void
		{
			initList();	
		}

		
		public function list():Array
		{
			return mList;
		}

		public function add(pDisplayObject:DisplayObject, pId:String):void
		{
			var object:Object = new Object();
			object = {id:pId, obj:pDisplayObject};
			mList.push(object);			
		}

		public function item(pId:String):DisplayObject
		{
			var object:Object;
			var image:DisplayObject;
			
			for(var i:uint = 0; i < mList.length; ++i)
			{
				object = mList[i];
				
				if(object.id == pId)
				{
					image = object.obj;
					break;	
				} 		
			}
			
			return image;
		}
		
		public function items(pId:String):Array
		{
			var object:Object;
			var list:Array = new Array();
			
			for(var i:uint = 0; i < mList.length; ++i)
			{
				object = mList[i];
				
				if(object.id == pId)
					list.push(object.obj);
			}
			
			return list;
		}
		
		
		private function initList():void
		{
			mList = new Array();
		}
	}
}

class SingeltonEnforcer{}