package de.davidochmann.framework.dosite.graphic.support
{
	/**
	 * @author MR.WUT4
	 */

	import flash.display.Stage;	
	import flash.display.DisplayObject;	
	
	public class Position 
	{
		public static function stage(pStage:Stage, pDisplayObject:DisplayObject, pPosition:String):void
		{			
			switch(pPosition)
			{
				case "tl":
					pDisplayObject.x = 0;
					pDisplayObject.y = 0;
					break;
					
				case "tc":
					pDisplayObject.x = Math.floor(pStage.stageWidth * .5);
					pDisplayObject.y = 0;
					break;
					
				case "tr":
					pDisplayObject.x = pStage.stageWidth;
					pDisplayObject.y = 0;
					break;
			
				
				case "cl":
					pDisplayObject.x = 0;
					pDisplayObject.y = Math.floor(pStage.stageHeight * .5); 
					break;
					
				case "cc":
					pDisplayObject.x = Math.floor(pStage.stageWidth  * .5);
					pDisplayObject.y = Math.floor(pStage.stageHeight * .5);
					break;
					
				case "cr":
					pDisplayObject.x = pStage.stageWidth;
					pDisplayObject.y = Math.floor(pStage.stageHeight * .5);
					break;
				
				
				case "bl":
					pDisplayObject.x = 0;
					pDisplayObject.y = pStage.stageHeight;
					break;
					
				case "bc":
					pDisplayObject.x = Math.floor(pStage.stageWidth * .5);
					pDisplayObject.y = pStage.stageHeight;
					break;
				
				case "br":
					pDisplayObject.x = pStage.stageWidth;
					pDisplayObject.y = pStage.stageHeight;
					break;
	
				
				default:
					pDisplayObject.x = 0;
					pDisplayObject.y = 0;
					break;							
			}
		}
	}
}
