package de.davidochmann.framework.dosite.interfaces 
{
	/**
	 * @author dochmann
	 */

	import flash.display.Stage;	
	
	public interface ISubsite 
	{
		function initialize():void;

		function open():void;
		
		function close():void;

		function subsite(pId:String):ISubsite;

		
		function getStage():Stage;
		
		function getWidth():uint;
		
		function getHeight():uint;
		
		function getId():String;
		
		function getTitle():String;
		
		function getPath():String;

		
		function setStage(pStage:Stage):void;
		
		function setWidth(pWidth:uint):void;
		
		function setHeight(pHeight:uint):void;
		
		function setId(pId:String):void;
		
		function setTitle(pTitle:String):void;			

		function setPath(pPath:String):void;			
	}
}
