﻿package de.davidochmann.framework.dosite.content
{		
	/**
	 * @author David Ochmann
	 */
	 
	import flash.events.Event;	
	import flash.net.URLRequest;
	import flash.net.URLLoader;
	
	public class XmlReceiver
	{		
		private var mXml:XML;
		private var mPath:String;
		private var mIdentifier:String;
		
		private var mUrlLoader:URLLoader;

		public function XmlReceiver()
		{
			initUrlLoader();
		}
		
		
		public function load():void
		{
			mUrlLoader.load(new URLRequest(getPath()));
		}
		
		public function getXml():XML
		{
			return mXml;
		}

		public function getUrlLoader():URLLoader
		{
			return mUrlLoader;
		}

		
		public function getIdentifier():String
		{
			return mIdentifier;
		}

		public function getPath():String
		{
			return mPath;
		}


		public function setPath(pPath:String):void
		{
			mPath = pPath;
		}
		
		public function setIdentifier(pIdentifier:String):void
		{
			mIdentifier = pIdentifier;
		}


		private function initUrlLoader():void
		{
			mUrlLoader = new URLLoader();
			mUrlLoader.addEventListener(Event.COMPLETE, urlLoaderCompleteHandler);
		}
		
		private function urlLoaderCompleteHandler(e:Event):void
		{
			mXml = new XML(mUrlLoader.data);		
		}
	}
}
