package de.davidochmann.framework.dosite.event 
{	
	/**
	 * @author MR.WUT4
	 */

	import flash.events.Event;

	public class ImageContainerEvent extends Event 
	{
		public static var LOAD_COMPLETE:String = "LOAD_COMPLETE";
		
		private var mDepth:uint;
		
		
		public function ImageContainerEvent(type:String,
											pDepth:uint 	   = undefined,											 
											bubbles:Boolean    = false, 
											cancelable:Boolean = false)
		{
			setDepth(pDepth);
			
			super(type, bubbles, cancelable);
		}
		
		
		public function getDepth():uint
		{
			return mDepth;
		}

		public function setDepth(pDepth:uint):void
		{
			mDepth = pDepth;			
		}
		
		
		override public function clone():Event
		{
			return new ImageContainerEvent(type, mDepth);
		}

		override public function toString():String
		{
			return formatToString("ImageContainerEvent", "type", "pDepth");	
		}
	}
}
