package de.davidochmann.framework.dosite.graphic.window 
{	
	/**
	 * @author MR.WUT4
	 */
	
	import flash.display.Sprite;
	import de.davidochmann.framework.dosite.interfaces.ISubsite;		

	public class Window extends Sprite 
	{
		private var mStartSite:String;
		private var mCurrentSite:ISubsite;
		
		
		public function Window(){}
		
		
		public function current():ISubsite
		{
			return mCurrentSite;	
		}
		
		public function change(pSubsite:ISubsite):void
		{
			if(pSubsite != null && pSubsite != mCurrentSite)
			{
				if(mCurrentSite != null)
					mCurrentSite.close();
					
				mCurrentSite = pSubsite;

				while(numChildren > 0)
					removeChildAt(0);
				
				mCurrentSite.open();
				
				addChild(Sprite(pSubsite));
			}
		} 		
		
		
		public function getStartSite():String
		{
			return mStartSite;	
		}
		
		public function setStartSite(pStartSite:String):void
		{
			mStartSite = pStartSite;
		}
	}
}
